# ArgTraits.h File Reference

Go to the source code of this file.

## Classes
struct | TCLAP::ValueLike
| A value like argument value type is a value that can be set using operator>>. More...
struct | TCLAP::StringLike
| A string like argument value type is a value that can be set using operator=(string). More...
struct | TCLAP::StringLikeTrait
| A class can inherit from this object to make it have string like traits. More...
struct | TCLAP::ValueLikeTrait
| A class can inherit from this object to make it have value like traits. More...
struct | TCLAP::ArgTraits< T >
| Arg traits are used to get compile type specialization when parsing argument values. More...
## Namespaces
namespace | TCLAP